Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.maven.tasks
[Java] Class PublishToMavenLocal

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.publish.maven.tasks.PublishToMavenRepository
                  org.gradle.api.publish.maven.tasks.PublishToMavenLocal

    @Incubating
    public class PublishToMavenLocal
    extends PublishToMavenRepository

Publishes a MavenPublication to the Maven Local repository.

Since:
  1.4

Constructor Summary
`PublishToMavenLocal(Factory loggingManagerFactory, BaseRepositoryFactory baseRepositoryFactory)`

Method Summary
`protected void` | `doPublish(MavenPublicationInternal publication, MavenArtifactRepository repository)`
`MavenArtifactRepository` | `getRepository()`

Methods inherited from class PublishToMavenRepository
doPublish, getLoggingManagerFactory, getPublication, getRepository, publish, setPublication, setRepository

Constructor Detail

### PublishToMavenLocal

    @Inject
    public PublishToMavenLocal(Factory loggingManagerFactory, BaseRepositoryFactory baseRepositoryFactory)

Method Detail

### doPublish

    @Override
    protected void doPublish(MavenPublicationInternal publication, MavenArtifactRepository repository)

### getRepository

    @Override
    public MavenArtifactRepository getRepository()

Gradle API 1.10